gr::dab::frequency_interleaver_vcc_impl Class Reference

`#include <frequency_interleaver_vcc_impl.h>`

Inheritance diagram for gr::dab::frequency_interleaver_vcc_impl:
[legend]

## Public Member Functions

| frequency_interleaver_vcc_impl (const std::vector< short > &interleaving_sequence)
void | set_sequence (const std::vector< short > &interleaving_sequence)
int | work (int noutput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Additional Inherited Members

Public Types inherited from gr::dab::frequency_interleaver_vcc
typedef std::shared_ptr< frequency_interleaver_vcc > | sptr
Static Public Member Functions inherited from gr::dab::frequency_interleaver_vcc
static sptr | make (const std::vector< short > &interleaving_sequence)
| Return a shared_ptr to a new instance of dab::frequency_interleaver_vcc.

## Constructor & Destructor Documentation

## frequency_interleaver_vcc_impl()

gr::dab::frequency_interleaver_vcc_impl::frequency_interleaver_vcc_impl | ( | const std::vector< short > & | interleaving_sequence | ) |

## Member Function Documentation

## set_sequence()

void gr::dab::frequency_interleaver_vcc_impl::set_sequence | ( | const std::vector< short > & | interleaving_sequence | ) |

inline

## work()

int gr::dab::frequency_interleaver_vcc_impl::work | ( | int | noutput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items )

The documentation for this class was generated from the following file:

- frequency_interleaver_vcc_impl.h